Redirections
All operations require authentication.
List redirectionsBeta
Returns the redirections of the platform with their current state. Filter them by source, destination, domainId or organizationId.
Path parameters
Platform ID
Query parameters
Filter by destination
Filter by domain id
Filter by organization id
Filter by source
Headers
Pagination cursor
Pagination size
Response
Checksum hash in MD5 representation
Object representing Redirection
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing Redirection Target Spec
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "destination": "string", "domainId": "00000000-0000-0000-0000-000000000000", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "source": "string", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "destination": "string", "source": "string" } }]
Get a redirectionBeta
Returns the source and destination email addresses of the redirection, with its domain and organization.
Path parameters
Platform ID
Redirection ID
Response
Checksum hash in MD5 representation
Object representing Redirection
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing Redirection Target Spec
Example uses platformId = 00000000-0000-0000-0000-000000000000, redirectionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ redirection/ {redirectionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "destination": "string", "domainId": "00000000-0000-0000-0000-000000000000", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "source": "string", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "destination": "string", "source": "string" }}
Create a redirectionBeta
Creates a redirection from a source email address to a destination email address.
Path parameters
Platform ID
Request body (required)
Target redirection specification
Response
Checksum hash in MD5 representation
Object representing Redirection
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing Redirection Target Spec
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "destination": "string", "domainId": "00000000-0000-0000-0000-000000000000", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "source": "string", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "destination": "string", "source": "string" }}
Delete a redirectionBeta
Deletes the redirection.
Path parameters
Platform ID
Redirection ID
Response
Example uses platformId = 00000000-0000-0000-0000-000000000000, redirectionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ redirection/ {redirectionId} \
-H "authorization: Bearer $OVH_TOKEN"